| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
bbcode.php File Reference

## Functions
| tryoembed ($match)
| bb_spacefy ($st)
| bb_unspacefy_and_trim ($st)
if(!function_exists('bb_extract_images')) if(!function_exists('bb_replace_images')) | bb_ShareAttributes ($match)
| bb_ShareAttributesSimple ($match)
| bbcode ($Text, $preserve_nl=false, $tryoembed=true)

## Function Documentation

if (!function_exists('bb_extract_images')) if (!function_exists('bb_replace_images')) bb_ShareAttributes | ( |  | $match | ) |

bb_ShareAttributesSimple | ( |  | $match | ) |

bb_spacefy | ( |  | $st | ) |

bb_unspacefy_and_trim | ( |  | $st | ) |

bbcode | ( |  | $Text,
|  |  | $preserve_nl = `false`,
|  |  | $tryoembed = `true`
| ) |  |

Referenced by api_format_items(), api_format_messages(), api_status_show(), api_users_show(), atom_entry(), bb2diaspora(), construct_activity_object(), construct_activity_target(), events_content(), format_event_html(), format_notification(), get_events(), message_content(), notification(), notifications_content(), notify_content(), ping_init(), and tagrm_content().

tryoembed | ( |  | $match | ) |